ALTER TABLE INPAT_TRANSACTIONS
MODIFY(MARITAL_STATUS_ID VARCHAR2(100 CHAR));

ALTER TABLE INPAT_TRANSACTIONS
MODIFY(DRUG_CATEGORY_ID VARCHAR2(100 CHAR));

ALTER TABLE INPAT_TRANSACTIONS
MODIFY(HOSPITALIZATION_OUTCOME_ID VARCHAR2(100 CHAR));

ALTER TABLE EXPAT_TRANSACTIONS 
ADD(ADMISSION_TYPE_CODE VARCHAR2(10));

ALTER TABLE EXPAT_TRANSACTIONS 
ADD(ADMISSION_TYPE_NAME VARCHAR2(300));

ALTER TABLE EXPAT_TRANSACTIONS
MODIFY(MARITAL_STATUS_ID VARCHAR2(100 CHAR));

ALTER TABLE EXPAT_TRANSACTIONS
MODIFY(DRUG_CATEGORY_ID VARCHAR2(100 CHAR));

create or replace function    insert_datasets_jobs(in_organization_bi_code in datasets_jobs.organization_bi_code%type,
                                                in_dataset_id           in datasets_jobs.dataset_id%type,
                                                out_dataset_job_id      out datasets_jobs.id%type,
                                                out_message             out varchar2)
  return boolean is
begin
  begin
    insert into datasets_jobs
      (organization_bi_code,
       dataset_id,
       dataset_actor_type_id,
       dataset_job_status_id,
       start_timestamp,
       finish_timestamp)
    values
      (in_organization_bi_code, in_dataset_id, 2, 1, sysdate, null)
    returning id into out_dataset_job_id;
  exception
    when others then
      out_message := 'insert_datasets_jobs.others ' || sqlerrm;
      return false;
  end;
  return true;
end insert_datasets_jobs;